#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include "DHT20.h"

DHT20 DHT;

#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 64
#define OLED_RESET -1
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

void setup() {
  Serial.begin(115200);
  Wire.begin();
  DHT.begin();

  if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) {
    Serial.println(F("SSD1306 allocation failed"));
    for (;;);
  }
  delay(2000);
  display.clearDisplay();
  display.setTextColor(WHITE);
}

void loop() {
  if (millis() - DHT.lastRead() >= 1000) {
    DHT.read(); // Read sensor values

    float temperature = DHT.getTemperature();
    float humidity = DHT.getHumidity();

    display.clearDisplay();
    display.setTextSize(2);
    display.setCursor(0, 10);
    display.print("T: ");
    display.print(temperature, 1);
    display.println(" C");

    display.setCursor(0, 40);
    display.print("H: ");
    display.print(humidity, 1);
    display.println("%");

    display.display();
    delay(2000);
  }
}